Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class ComparisonOperation

    java.lang.Object
      org.deegree.model.filterencoding.AbstractOperation
          org.deegree.model.filterencoding.ComparisonOperation

All Implemented Interfaces:
  Operation

Direct Known Subclasses:
  PropertyIsBetweenOperation, PropertyIsCOMPOperation, PropertyIsInstanceOfOperation, PropertyIsLikeOperation, PropertyIsNullOperation

    public abstract class ComparisonOperation

extends AbstractOperation

Encapsulates the information of a comparison_ops entity (as defined in the Filter DTD).

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.model.filterencoding.AbstractOperation
`operatorId`

Constructor Summary
`ComparisonOperation(int operationId)`

Method Summary
`static Operation` | `buildFromDOM(Element element)` Deprecated. use the 1.0.0 filter encoding aware method instead.
`static Operation` | `buildFromDOM(Element element, boolean useVersion_1_0_0)` Given a DOM-fragment, a corresponding Operation-object is built.

Methods inherited from class org.deegree.model.filterencoding.AbstractOperation
`getOperatorId, getOperatorName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.model.filterencoding.Operation
`evaluate, to100XML, to110XML, toXML`

Constructor Detail

### ComparisonOperation

    ComparisonOperation(int operationId)

Method Detail

### buildFromDOM

    @Deprecated
    public static Operation buildFromDOM(Element element)
                                  throws FilterConstructionException

  Deprecated. use the 1.0.0 filter encoding aware method instead.

  Given a DOM-fragment, a corresponding Operation-object is built. This method recursively calls other buildFromDOM () - methods to validate the structure of the DOM-fragment.

  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

### buildFromDOM

    public static Operation buildFromDOM(Element element,
                                         boolean useVersion_1_0_0)
                                  throws FilterConstructionException

  Given a DOM-fragment, a corresponding Operation-object is built. This method recursively calls other buildFromDOM () - methods to validate the structure of the DOM-fragment.

  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org